  $ if ! [ -s "$TESTDIR/sequence" ]; then
  >     echo 'missing executable, run make'
  >     exit 1
  > fi

  $ sequence() { "$TESTDIR/sequence"; }

  $ printf demo | sequence	
  demo
  
  sequence order: strictly increasing

  $ printf aabc | sequence	
  aabc
  
  sequence order: increasing

  $ printf abc | sequence	
  abc
  
  sequence order: strictly increasing

  $ printf aa | sequence	
  aa
  
  sequence order: increasing

  $ printf zz | sequence	
  zz
  
  sequence order: increasing

  $ printf zzabcd | sequence	
  zzabcd
  
  sequence order: undetermined

  $ sequence < "$TESTDIR/binary"
  \x01\x02a\xff (esc)
  
  sequence order: strictly increasing
